Bug 982239 - Provide an user-friendly description why a git repository cannot be cloned
Provide an user-friendly description why a git repository cannot be cloned
Status: CLOSED CURRENTRELEASE
Product: JBoss BPMS Platform 6
Classification: JBoss
Component: Business Central (Show other bugs)
6.0.0
Unspecified Unspecified
high Severity high
: ER5
: 6.0.0
Assigned To: Alexandre Porcelli
Ivo Bek
:
Depends On:
Blocks:
  Show dependency treegraph
 
Reported: 2013-07-08 08:54 EDT by Ivo Bek
Modified: 2014-08-06 16:12 EDT (History)
1 user (show)

See Also:
Fixed In Version:
Doc Type: Bug Fix
Doc Text:
Story Points: ---
Clone Of:
Environment:
Last Closed: 2014-08-06 16:12:01 EDT
Type: Bug
Regression: ---
Mount Type: ---
Documentation: ---
CRM:
Verified Versions:
Category: ---
oVirt Team: ---
RHEL 7.3 requirements from Atomic Host:
Cloudforms Team: ---


Attachments (Terms of Use)

  None (edit)
Description Ivo Bek 2013-07-08 08:54:57 EDT
Description of problem:

When a git repository, which we want to clone, requires username and password, business central shows a dialog with the following content:

Can't clone repository, please check error message. 
ToSubject=org.uberfire.backend.repositories.RepositoryService:RPC, CommandType=createRepository:java.lang.String:java.lang.String:java.util.Map:, MethodParms=[git, fsdfsdf, {username=, crypt:password=, origin=	git://git.app.eng.bos.redhat.com/bpms-assets.git}], ReplyTo=org.uberfire.backend.repositories.RepositoryService:RPC.createRepository:java.lang.String:java.lang.String:java.util.Map::RespondTo:34, ErrorTo=org.uberfire.backend.repositories.RepositoryService:RPC.createRepository:java.lang.String:java.lang.String:java.util.Map::Errors:34

But the user know nothing about what is wrong ... is it a connection issue, bad username and/or password or something else?

Only server log says in all the exceptions that Auth failed but it's still hard to find.

Version-Release number of selected component (if applicable):


How reproducible:


Steps to Reproduce:
1.
2.
3.

Actual results:


Expected results:


Additional info:
Comment 1 Alexandre Porcelli 2013-10-25 15:10:38 EDT
Just tested, but seems that this issue has been fixed for a while.
Comment 2 Ivo Bek 2013-12-04 06:57:18 EST
Verified in BPMS 6.0.0.ER5
Comment 3 Ivo Bek 2014-03-18 06:55:47 EDT
This was just an enhancement and so it doesn't need a test.

Note You need to log in before you can comment on or make changes to this bug.